Page MenuHomePhabricator

mobilecite is missing i18n title messages for Special:Specialpages
Closed, ResolvedPublic

Description

mobilecite message seems to be missing. This causes ugliness at https://en.wikipedia.org/wiki/Special:SpecialPages

Developer notes

The page is setup correctly.

  • extend RedirectSpecialPage
  • implement getRedirect

everything works.

Event Timeline

Bawolff created this task.Aug 2 2019, 8:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2019, 8:58 AM
Jdlrobson added a subscriber: Jdlrobson.

Eek. MobileCite should be hidden there (it's been removed) and only exists to redirect users to the page they used to serve. How do we do that?

Jdlrobson assigned this task to pmiazga.Aug 2 2019, 9:47 PM

If you extend RedirectSpecialPage it happens automatically. Otherwise override isListed() method

Change 528485 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] SpecialMobileCite is a redirect page

https://gerrit.wikimedia.org/r/528485

Jdlrobson removed pmiazga as the assignee of this task.Aug 6 2019, 2:22 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Prioritization to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: pmiazga.

Needs code review.

Jdlrobson moved this task from Upcoming to Needs Prioritization on the Readers-Web-Backlog board.

Change 528485 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] SpecialMobileCite is a redirect page

https://gerrit.wikimedia.org/r/528485

Jdlrobson closed this task as Resolved.Aug 7 2019, 7:31 PM